List all messages
Retrieve a paginated list of direct messages between your partner program and its partners, newest first.
Authorizations
Default authentication mechanism
Query Parameters
Only return messages with this partner.
Only return messages with the partner that has this ID in your system.
Only return messages sent by the partner (partner) or by your program (program).
partner, program Only return messages that are unread (true) or read (false) by the recipient. Without sourceType, this returns messages from partners.
If specified, the query only searches for results before this cursor. Mutually exclusive with startingAfter.
"msg_1KAP4CDPBSVMMBMH9XX3YZZ0Z"
If specified, the query only searches for results after this cursor. Mutually exclusive with endingBefore.
"msg_1KAP4CDPBSVMMBMH9XX3YZZ0Z"
The number of items per page.
x <= 10050
Response
The list of messages.
Whether your program or the partner sent the message.
program, partner The partner in the conversation. email is null for partners from the network who haven't joined your program.